> ## Documentation Index
> Fetch the complete documentation index at: https://docs.localpayment.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Crear una cuenta virtual

Este endpoint te permite crear varias cuentas virtuales para recibir transferencias bancarias ACH locales. Al asignar estas cuentas a comercios o usuarios finales específicos, puedes agilizar el proceso de conciliación y mejorar el seguimiento de las transacciones.


## OpenAPI

````yaml openapi/es/localpayment.json POST /api/virtual-account
openapi: 3.1.0
info:
  version: '1.0'
  title: Localpayment
  contact:
    name: Support
    url: mailto:support@localpayment.com
servers:
  - url: https://api.stage.localpayment.com
    description: Stage
security:
  - token: []
paths:
  /api/virtual-account:
    post:
      summary: Crear una cuenta virtual
      operationId: create-virtual-account
      parameters:
        - name: Authorization
          in: header
          description: >-
            Token de acceso Bearer para la autenticación. Este token se obtiene
            de los endpoints [Get Access Token](/es/reference/get-token) o
            [Refresh Access Token](/es/reference/refresh-token).
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                externalId:
                  type: string
                  description: >-
                    Un identificador único que tú proporcionas para etiquetar y
                    rastrear las cuentas virtuales dentro de tu sistema. Este ID
                    será la referencia principal para todas las operaciones
                    futuras en esta cuenta (por ejemplo, verificar el estado,
                    deshabilitarla, eliminarla). Para garantizar la unicidad y
                    evitar conflictos, recomendamos encarecidamente utilizar el
                    formato UUID4.
                accountNumber:
                  type: string
                  description: Número de cuenta de Localpayment.
                country:
                  type: string
                  enum:
                    - ARG
                    - BRA
                    - CHL
                    - COL
                    - MEX
                    - PER
                  description: '[País](/es/reference/country-codes). ISO 3166-1 alfa-3.'
                beneficiary:
                  type: object
                  title: beneficiary
                  description: "La persona o entidad que recibirá los fondos depositados en esta cuenta virtual. El beneficiario es quien recibe el dinero en última instancia y no necesariamente es el propietario o titular legal de la cuenta virtual.\r\n"
                  properties:
                    entityId:
                      type: string
                      format: uuid
                      description: >-
                        El ID de la entidad que representa a este beneficiario,
                        devuelto al registrarla con `POST
                        /api/entity/v1/entities`. Obligatorio cuando `country`
                        es `BRA`. Registra la entidad antes de crear la cuenta
                        virtual.
                      examples:
                        - 7c9e6679-7425-40de-944b-e07fc1f90ae7
                    type:
                      type: string
                      enum:
                        - COMPANY
                        - INDIVIDUAL
                      description: Tipo de beneficiario.
                    name:
                      type: string
                      description: >-
                        El nombre del beneficiario. Los caracteres permitidos
                        dependen del campo `type`: para `individual`, letras
                        (incluidos los caracteres acentuados), espacios y puntos
                        (`.`); para `company`, el mismo conjunto más dígitos,
                        guion bajo (`_`) y guion (`-`).
                      minLength: 2
                      maxLength: 255
                    lastName:
                      type: string
                      description: >-
                        El apellido del beneficiario. Obligatorio cuando `type`
                        es `individual` y se ignora cuando `type` es `company`.
                        Los caracteres permitidos dependen de `type`: para
                        `individual`, letras (incluidos los caracteres
                        acentuados), espacios y puntos (`.`); para `company`, el
                        mismo conjunto más dígitos, guion bajo (`_`) y guion
                        (`-`).
                      minLength: 2
                      maxLength: 255
                    document:
                      type: object
                      description: Documentación del beneficiario.
                      properties:
                        type:
                          type: string
                          description: >-
                            El tipo de [documento de
                            identidad](/es/reference/identity-document-types),
                            como el Número de Identidad Nacional, el Número de
                            la Seguridad Social o el Permiso de Conducir, según
                            el país de expedición.
                          examples:
                            - RUC
                        id:
                          type: string
                          description: >-
                            Número de documento de identidad (generalmente un
                            número). Este debe ser un número válido según las
                            normas del tipo de documento específico.
                          examples:
                            - '1791234561009'
                      required:
                        - type
                        - id
                      examples:
                        - type: RUC
                          id: '1791234561009'
                    address:
                      type: object
                      description: Dirección del beneficiario.
                      properties:
                        street:
                          type: string
                          description: Nombre de la calle.
                          examples:
                            - Independencia
                        number:
                          type: string
                          description: Número de calle.
                          examples:
                            - '123'
                        city:
                          type: string
                          description: Ciudad.
                          examples:
                            - Cordoba
                        state:
                          type: string
                          description: Estado.
                          examples:
                            - Cordoba
                        country:
                          type: string
                          description: País de la dirección.
                          examples:
                            - ARG
                        zipCode:
                          type: string
                          description: Código postal.
                          examples:
                            - X5000IUO
                        comment:
                          type: string
                          description: Información adicional sobre la dirección.
                          examples:
                            - Sucursal 123
                      examples:
                        - street: Independencia
                          number: '123'
                          city: Cordoba
                          state: Cordoba
                          country: ARG
                          zipCode: X5000IUO
                          comment: Sucursal 123
                    website:
                      type: string
                      description: Sitio web del beneficiario.
                  required:
                    - type
                    - name
                    - document
                  examples:
                    - type: COMPANY
                      name: Acme
                      document:
                        type: RUC
                        id: '1791234561009'
              required:
                - externalId
                - accountNumber
                - country
                - beneficiary
              x-examples:
                Example 1:
                  externalId: '{{externalId}}'
                  accountNumber: '{{YourAccountNumber}}'
                  country: MEX
                  beneficiary:
                    document:
                      id: LEKF8111119Z5
                      type: RFC
                    name: BeneficiaryName
                    lastname: BeneficiaryLastname
                    type: INDIVIDUAL
                    address:
                      city: City
                      state: State
                      zipcode: zipcode
                      street: street
                      number: number
                      country: country
            examples:
              ARG-LOCAL COMPANY:
                value:
                  country: ARG
                  beneficiary:
                    type: COMPANY
                    document:
                      id: 30-71234567-9
                      type: CUIT
                    name: ACME INTERNATIONAL LTD
                    lastName: ''
                    address:
                      street: Av. Corrientes
                      number: '1234'
                      city: Buenos Aires
                      state: CABA
                      country: Argentina
                    website: https://yongxin.technology.com
                  externalId: de14bcf2-15ee-22e3-ab59-99c3fcba31e8
                  accountNumber: '{{yourLocalpaymentAccountNumber}}'
              ARG-FOREIGN COMPANY:
                value:
                  country: ARG
                  beneficiary:
                    type: COMPANY
                    name: ACME INTERNATIONAL LTD
                    document:
                      type: TAX ID
                      id: '20342231111'
                    address:
                      street: Calle 34
                      number: '123'
                      city: Rio de Janeiro
                      state: Rio de Janeiro
                      country: Brazil
                    website: https://yongxin.technology.com
                  externalId: de14bcf2-15ee-22e3-ab59-99c3fcba31e8
                  accountNumber: '{{yourLocalpaymentAccountNumber}}'
              ARG-FOREIGN INDIVIDUAL:
                value:
                  country: ARG
                  beneficiary:
                    type: INDIVIDUAL
                    document:
                      type: TAX ID
                      id: '20342231111'
                    name: Zhang
                    lastName: Wei
                    address:
                      street: Calle 34
                      number: '123'
                      city: Rio de Janeiro
                      state: Rio de Janeiro
                      country: Brazil
                    website: https://yongxin.technology.com
                  externalId: de14bcf2-15ee-22e3-ab59-99c3fcba31e8
                  accountNumber: '{{yourLocalpaymentAccountNumber}}'
              BRA-COMPANY:
                value:
                  country: BRA
                  beneficiary:
                    entityId: 7c9e6679-7425-40de-944b-e07fc1f90ae7
                    type: COMPANY
                    document:
                      id: '20342231111'
                      type: TAX ID
                    name: ACME INTERNATIONAL LTD
                    lastName: ''
                    address:
                      street: Calle 34
                      number: '123'
                      city: Rio de Janeiro
                      state: Rio de Janeiro
                      country: Brazil
                    website: https://yongxin.technology.com
                  externalId: 7ad8bd1f-7227-4de7-9683-ff1f8ad635c5
                  accountNumber: '{{yourLocalpaymentAccountNumber}}'
              BRA-INDIVIDUAL:
                value:
                  country: BRA
                  beneficiary:
                    entityId: 7c9e6679-7425-40de-944b-e07fc1f90ae7
                    type: INDIVIDUAL
                    document:
                      id: '20342231111'
                      type: TAX ID
                    name: Zhang
                    lastName: Wei
                    address:
                      street: Calle 34
                      number: '123'
                      city: Rio de Janeiro
                      state: Rio de Janeiro
                      country: Brazil
                    website: https://yongxin.technology.com
                  externalId: 7ad8bd1f-7227-4de7-9683-ff1f8ad635c5
                  accountNumber: '{{yourLocalpaymentAccountNumber}}'
              MEX-SPEI/TEF-COMPANY:
                value:
                  country: MEX
                  beneficiary:
                    type: COMPANY
                    document:
                      id: '20342231111'
                      type: TAX ID
                    name: ACME INTERNATIONAL LTD
                    lastName: ''
                    address:
                      street: Calle 34
                      number: '123'
                      city: Guadalajara
                      state: Jalisco
                      country: Mexico
                    website: https://yongxin.technology.com
                  externalId: fb5c9683-cfac-40c9-b81d-ad99de86c0d2
                  accountNumber: '{{yourLocalpaymentAccountNumber}}'
              MEX-SPEI/TEF-INDIVIDUAL:
                value:
                  country: MEX
                  beneficiary:
                    type: INDIVIDUAL
                    document:
                      id: '20342231111'
                      type: TAX ID
                    name: Zhang
                    lastName: Wei
                    address:
                      street: Calle 34
                      number: '123'
                      city: Guadalajara
                      state: Jalisco
                      country: Mexico
                    website: https://yongxin.technology.com
                  externalId: fb5c9683-cfac-40c9-b81d-ad99de86c0d2
                  accountNumber: '{{yourLocalpaymentAccountNumber}}'
              MEX-SPID-COMPANY:
                value:
                  country: MEX
                  beneficiary:
                    type: COMPANY
                    document:
                      id: '20342231111'
                      type: TAX ID
                    name: ACME INTERNATIONAL LTD
                    lastName: ''
                    address:
                      street: Calle 34
                      number: '123'
                      city: Guadalajara
                      state: Jalisco
                      country: Mexico
                    website: https://yongxin.technology.com
                  externalId: 1f6b6f3a-3c3f-4e08-ba14-ac0d2a521ad5
                  accountNumber: '{{yourLocalpaymentAccountNumber}}'
              PER-COMPANY:
                value:
                  country: PER
                  beneficiary:
                    type: COMPANY
                    document:
                      id: '20342231111'
                      type: TAX ID
                    name: John
                    lastName: Doe
                    address:
                      street: Av. Javier Prado Este
                      number: '456'
                      city: Lima
                      state: Lima
                      country: PER
                    website: https://yongxin.technology.com
                  externalId: d09ed2d5-7460-4ac8-8889-3644cbe29082
                  accountNumber: '{{yourLocalpaymentAccountNumber}}'
              PER-INDIVIDUAL:
                value:
                  country: PER
                  beneficiary:
                    type: INDIVIDUAL
                    document:
                      id: '20342231111'
                      type: TAX ID
                    name: Zhang
                    lastName: Wei
                    address:
                      street: Av. Javier Prado Este
                      number: '456'
                      city: Lima
                      state: Lima
                      country: PER
                    website: https://yongxin.technology.com
                  externalId: d09ed2d5-7460-4ac8-8889-3644cbe29082
                  accountNumber: '{{yourLocalpaymentAccountNumber}}'
              COL - COMPANY:
                value:
                  country: COL
                  beneficiary:
                    type: COMPANY
                    document:
                      type: NIT
                      id: '1111111111'
                    address:
                      street: cra 49
                      number: '108'
                      city: MEDELLIN
                      state: Antioquia
                      country: COL
                    name: ACME INTERNATIONAL LTD
                    lastName: ''
                    website: https://yongxin.technology.com
                  externalId: cf194632-7ec4-4a44-9b92-9bbacad5349e
                  accountNumber: '{{accountNumber}}'
              CRI - COMPANY:
                value:
                  country: CRI
                  beneficiary:
                    type: COMPANY
                    document:
                      type: CEJ
                      id: '3100000001'
                    name: Test Merchant S.A.
                    lastName: ''
                    address:
                      street: Av. Central
                      number: '100'
                      city: San José
                      state: San José
                      country: Costa Rica
                    website: https://testmerchant.com
                  externalId: de14bcf2-15ee-22e3-ab59-99c3fcba31e8
                  accountNumber: '{{accountNumber}}'
              CHL-INDIVIDUAL:
                value:
                  country: CHL
                  beneficiary:
                    type: INDIVIDUAL
                    document:
                      type: TAX ID
                      id: '20342231111'
                    name: Zhang
                    lastName: Wei
                    address:
                      street: Calle Merced
                      number: '812'
                      city: Santiago
                      state: Region Metropolitana
                      country: Chile
                    website: https://yongxin.technology.com
                  externalId: c4894e1a-b1a1-49fc-acb8-b48d30f19208
                  accountNumber: '{{yourLocalpaymentAccountNumber}}'
              CHL-COMPANY:
                value:
                  country: CHL
                  beneficiary:
                    type: COMPANY
                    document:
                      id: '20342231111'
                      type: TAX ID
                    name: ACME INTERNATIONAL LTD
                    lastName: ''
                    address:
                      street: Calle Merced
                      number: '812'
                      city: Santiago
                      state: Region Metropolitana
                      country: Chile
                    website: https://yongxin.technology.com
                  externalId: b367854e-3331-4ed4-ae8c-01f653809a27
                  accountNumber: '{{yourLocalpaymentAccountNumber}}'
      responses:
        '201':
          description: Creado
          content:
            application/json:
              schema:
                type: object
                properties:
                  currency:
                    type: string
                    enum:
                      - ARS
                      - BRL
                      - CLP
                      - COP
                      - USD
                      - MXN
                      - PEN
                    description: '[código de moneda](/es/reference/currency-codes).'
                  externalId:
                    type: string
                    description: >-
                      El identificador único de la cuenta virtual. Es el mismo
                      valor `externalId` que proporcionaste en la solicitud de
                      creación, lo que confirma que se ha registrado
                      correctamente en nuestro sistema. Utiliza este
                      identificador exacto para cualquier llamada posterior a la
                      API relacionada con esta cuenta.
                  internalId:
                    type: string
                    description: Identificador de transacción de Localpayment.
                  accountNumber:
                    type: string
                    description: Número de cuenta de Localpayment.
                  beneficiary:
                    type: object
                    description: "La persona o entidad que recibirá los fondos depositados en esta cuenta virtual. El beneficiario es quien recibe el dinero en última instancia y no necesariamente es el propietario o titular legal de la cuenta virtual.\r\n"
                    properties:
                      type:
                        type: string
                        enum:
                          - COMPANY
                          - INDIVIDUAL
                        description: Tipo de beneficiario.
                      name:
                        type: string
                        description: Nombre del beneficiario.
                      lastName:
                        type: string
                        description: Apellido del beneficiario.
                      fullName:
                        type: string
                        description: Nombre completo del beneficiario.
                      document:
                        type: object
                        description: Documentación del beneficiario.
                        properties:
                          type:
                            type: string
                            description: >-
                              El tipo de [documento de
                              identidad](/es/reference/identity-document-types),
                              como el Número de Identidad Nacional, el Número de
                              la Seguridad Social o el Permiso de Conducir,
                              según el país de expedición.
                            examples:
                              - RUC
                          id:
                            type: string
                            description: >-
                              Número de documento de identidad (generalmente un
                              número). Este debe ser un número válido según las
                              normas del tipo de documento específico.
                            examples:
                              - '1791234561009'
                        examples:
                          - type: RUC
                            id: '1791234561009'
                      address:
                        type: object
                        description: >-
                          Dirección del beneficiario. En las respuestas que
                          incluyen un objeto de comerciante, la dirección del
                          beneficiario se proporciona allí.
                        properties:
                          street:
                            type: string
                            description: Nombre de la calle.
                          number:
                            type: string
                            description: Número de calle.
                          city:
                            type: string
                            description: Ciudad.
                          state:
                            type: string
                            description: Estado
                          country:
                            type: string
                            description: País de la dirección.
                          zipCode:
                            type: string
                            description: Código postal.
                          comment:
                            type: string
                            description: Información adicional sobre la dirección.
                      merchant:
                        type: object
                        description: >-
                          El objeto de comerciante en la respuesta de la API
                          contiene los datos de tu empresa, a los que nuestro
                          sistema hace referencia internamente. Esto garantiza
                          que, aunque seamos el titular legal de la cuenta a
                          efectos de cumplimiento normativo, todas las
                          transacciones y la cuenta en sí se atribuyan
                          correctamente a tu empresa para la elaboración de
                          informes y la conciliación.
                        properties:
                          type:
                            type: string
                            enum:
                              - INDIVIDUAL
                              - COMPANY
                            description: Tipo de comerciante.
                          name:
                            type: string
                            description: Nombre del comerciante.
                          lastName:
                            type: string
                            description: Apellido del comerciante.
                          fullName:
                            type: string
                            description: Nombre completo del comerciante.
                          document:
                            type: object
                            description: Documento de identidad del comerciante.
                            properties:
                              type:
                                type: string
                                description: >-
                                  El tipo de [documento de
                                  identidad](/es/reference/identity-document-types),
                                  como el Número de Identidad Nacional, el
                                  Número de la Seguridad Social o el Permiso de
                                  Conducir, según el país de expedición.
                              id:
                                type: string
                                description: >-
                                  Número de documento de identidad (generalmente
                                  un número). Este debe ser un número válido
                                  según las normas del tipo de documento
                                  específico.
                          address:
                            type: object
                            description: Dirección del beneficiario.
                            properties:
                              street:
                                type: string
                                description: Nombre de la calle.
                              number:
                                type: string
                                description: Número de calle.
                              city:
                                type: string
                                description: Ciudad.
                              state:
                                type: string
                                description: Estado.
                              country:
                                type: string
                                description: País de la dirección.
                              zipCode:
                                type: string
                                description: Código postal.
                              comment:
                                type: string
                                description: Información adicional sobre la dirección.
                          website:
                            type: string
                            description: Sitio web del beneficiario.
                      website:
                        type: string
                        description: >-
                          Sitio web del beneficiario. En las respuestas que
                          incluyen un objeto de comerciante, se proporciona el
                          sitio web del beneficiario.
                  status:
                    type: object
                    title: status
                    description: Estado de la operación.
                    properties:
                      code:
                        type: string
                        description: >-
                          [Código de
                          estado](/es/reference/transaction-status-error-codes).
                        examples:
                          - '100'
                      description:
                        type: string
                        description: >-
                          [Descripción del
                          estado](/es/reference/transaction-status-error-codes).
                        examples:
                          - INPROGRESS
                      detail:
                        type: string
                        description: Información de estado adicional.
                        examples:
                          - Virtual account in progress
                  errors:
                    type: array
                    description: Información adicional del error.
                    items:
                      type: object
                      additionalProperties: false
                x-examples:
                  Example 1:
                    currency: MXN
                    externalId: '1735854597'
                    internalId: 0a8bb236-98ac-497e-983a-3ff8fc527d22
                    accountNumber: '{{accountNumber}}'
                    beneficiary:
                      type: INDIVIDUAL
                      name: FirtName
                      document:
                        type: RFC
                        id: EXTF900101NI1
                      fullName: FirtName LastName
                      lastName: LastName
                    status:
                      code: '100'
                      description: INPROGRESS
                      detail: Virtual account in progress
                    errors: []
              examples:
                100-ARG-LOCAL COMPANY:
                  value:
                    currency: ARS
                    externalId: de14bcf2-15ee-22e3-ab59-99c3fcba31e8
                    internalId: 5ba31ea0-669b-43f6-88a1-1601f3cade0a
                    accountNumber: '{{yourLocalpaymentAccountNumber}}'
                    beneficiary:
                      type: COMPANY
                      name: ACME INTERNATIONAL LTD
                      fullName: ACME INTERNATIONAL LTD
                      document:
                        type: CUIT
                        id: 30-71234567-9
                      address:
                        street: Av. Corrientes
                        number: '1234'
                        city: Buenos Aires
                        state: CABA
                        country: Argentina
                      website: https://yongxin.technology.com
                    status:
                      code: '100'
                      description: INPROGRESS
                      detail: Virtual account in progress
                    errors: []
                100-ARG-FOREIGN COMPANY:
                  value:
                    currency: ARS
                    externalId: de14bcf2-15ee-22e3-ab59-99c3fcba31e8
                    internalId: 5ba31ea0-669b-43f6-88a1-1601f3cade0a
                    accountNumber: '{{yourLocalpaymentAccountNumber}}'
                    beneficiary:
                      type: COMPANY
                      name: LOCALPAYMENT S.R.L.
                      fullName: LOCALPAYMENT S.R.L
                      document:
                        type: CUIT
                        id: 30-71234562-8
                      merchant:
                        type: COMPANY
                        name: ACME INTERNATIONAL LTD
                        fullName: ACME INTERNATIONAL LTD
                        document:
                          type: TAX ID
                          id: '20342231111'
                        address:
                          street: Calle 34
                          number: '123'
                          city: Rio de Janeiro
                          state: Rio de Janeiro
                          country: Brazil
                        website: https://yongxin.technology.com
                    status:
                      code: '100'
                      description: INPROGRESS
                      detail: Virtual account in progress
                    errors: []
                100-ARG-FOREIGN INDIVIDUAL:
                  value:
                    currency: ARS
                    externalId: de14bcf2-15ee-22e3-ab59-99c3fcba31e8
                    internalId: 5ba31ea0-669b-43f6-88a1-1601f3cade0a
                    accountNumber: '{{yourLocalpaymentAccountNumber}}'
                    beneficiary:
                      type: COMPANY
                      name: LOCALPAYMENT S.R.L.
                      fullName: LOCALPAYMENT S.R.L
                      document:
                        type: CUIT
                        id: 30-71234562-8
                      merchant:
                        type: INDIVIDUAL
                        name: Zhang
                        lastName: Wei
                        fullName: Zhang Wei
                        document:
                          type: TAX ID
                          id: '20342231111'
                        address:
                          street: Calle 34
                          number: '123'
                          city: Rio de Janeiro
                          state: Rio de Janeiro
                          country: Brazil
                        website: https://yongxin.technology.com
                    status:
                      code: '100'
                      description: INPROGRESS
                      detail: Virtual account in progress
                    errors: []
                100-BRA-COMPANY:
                  value:
                    currency: BRL
                    externalId: 7ad8bd1f-7227-4de7-9683-ff1f8ad635c5
                    internalId: b8f9428f-3a68-42b7-a761-f2a7b689839c
                    accountNumber: '{{yourLocalpaymentAccountNumber}}'
                    beneficiary:
                      type: COMPANY
                      name: LP DO BRASIL INSTITUICAO DE PAGAMENTOS LTDA
                      fullName: LP DO BRASIL INSTITUICAO DE PAGAMENTOS LTDA
                      document:
                        type: CNPJ
                        id: '34669130000133'
                      bank:
                        branch: {}
                        account:
                          type: ''
                          number: ''
                      merchant:
                        type: COMPANY
                        name: ACME INTERNATIONAL LTD
                        fullName: ACME INTERNATIONAL LTD
                        document:
                          type: TAX ID
                          id: '20342231111'
                        address:
                          street: Calle 34
                          number: '123'
                          city: Rio de Janeiro
                          state: Rio de Janeiro
                          country: Brazil
                        website: https://yongxin.technology.com
                    status:
                      code: '100'
                      description: INPROGRESS
                      detail: Virtual account in progress
                    errors: []
                    disabled: false
                100-BRA-INDIVIDUAL:
                  value:
                    currency: BRL
                    externalId: 7ad8bd1f-7227-4de7-9683-ff1f8ad635c5
                    internalId: f3a72b91-c4e5-4d8a-b7e2-9f1c3d6a5b8e
                    accountNumber: '{{yourLocalpaymentAccountNumber}}'
                    beneficiary:
                      type: COMPANY
                      name: LP DO BRASIL INSTITUICAO DE PAGAMENTOS LTDA
                      fullName: LP DO BRASIL INSTITUICAO DE PAGAMENTOS LTDA
                      document:
                        type: CNPJ
                        id: '34669130000133'
                      bank:
                        branch: {}
                        account:
                          type: ''
                          number: ''
                      merchant:
                        type: INDIVIDUAL
                        name: Zhang
                        lastName: Wei
                        fullName: Zhang Wei
                        document:
                          type: TAX ID
                          id: '20342231111'
                        address:
                          street: Calle 34
                          number: '123'
                          city: Rio de Janeiro
                          state: Rio de Janeiro
                          country: Brazil
                        website: https://yongxin.technology.com
                    status:
                      code: '100'
                      description: INPROGRESS
                      detail: Virtual account in progress
                    errors: []
                    disabled: false
                100-MEX-SPEI/TEF-COMPANY:
                  value:
                    currency: MXN
                    externalId: fb5c9683-cfac-40c9-b81d-ad99de86c0d2
                    internalId: 9a8db65f-be31-42fb-8ebd-5fffd83bd6c6
                    accountNumber: '{{yourLocalpaymentAccountNumber}}'
                    beneficiary:
                      type: COMPANY
                      name: ACME INTERNATIONAL LTD
                      fullName: ACME INTERNATIONAL LTD
                      lastName: ''
                      document:
                        type: TAX ID
                        id: '20342231111'
                      address:
                        street: Calle 34
                        number: '123'
                        city: Guadalajara
                        state: Jalisco
                        country: Mexico
                      website: https://yongxin.technology.com
                    status:
                      code: '100'
                      description: INPROGRESS
                      detail: Virtual account in progress
                    errors: []
                100-MEX-SPEI/TEF-INDIVIDUAL:
                  value:
                    currency: MXN
                    externalId: fb5c9683-cfac-40c9-b81d-ad99de86c0d2
                    internalId: 9a8db65f-be31-42fb-8ebd-5fffd83bd6c6
                    accountNumber: '{{yourLocalpaymentAccountNumber}}'
                    beneficiary:
                      type: INDIVIDUAL
                      name: Zhang
                      fullName: Zhang Wei
                      lastName: Wei
                      document:
                        type: TAX ID
                        id: '20342231111'
                      address:
                        street: Calle 34
                        number: '123'
                        city: Guadalajara
                        state: Jalisco
                        country: Mexico
                      website: https://yongxin.technology.com
                    status:
                      code: '100'
                      description: INPROGRESS
                      detail: Virtual account in progress
                    errors: []
                100-MEX-SPID-COMPANY:
                  value:
                    currency: USD
                    externalId: 1f6b6f3a-3c3f-4e08-ba14-ac0d2a521ad5
                    internalId: 43aa5b5b-7566-4630-b86f-afb8486ccab4
                    accountNumber: '{{yourLocalpaymentAccountNumber}}'
                    beneficiary:
                      type: COMPANY
                      name: ACME INTERNATIONAL LTD
                      fullName: ACME INTERNATIONAL LTD
                      lastName: ''
                      document:
                        type: TAX ID
                        id: '20342231111'
                      address:
                        street: Calle 34
                        number: '123'
                        city: Guadalajara
                        state: Jalisco
                        country: Mexico
                      website: https://yongxin.technology.com
                    status:
                      code: '100'
                      description: INPROGRESS
                      detail: Virtual account in progress
                    errors: []
                    disabled: false
                100-PER-COMPANY:
                  value:
                    externalId: d09ed2d5-7460-4ac8-8889-3644cbe29082
                    internalId: 5ba31ea0-669b-43f6-88a1-1601f3cade0a
                    accountNumber: '{{yourLocalpaymentAccountNumber}}'
                    country: PER
                    currency: PEN
                    beneficiary:
                      type: COMPANY
                      name: ACME INTERNATIONAL LTD
                      fullName: ACME INTERNATIONAL LTD
                      lastName: ''
                      document:
                        id: '20342231111'
                        type: TAX ID
                      address:
                        street: Av. Javier Prado Este
                        number: '456'
                        city: Lima
                        state: Lima
                        country: PER
                      website: https://yongxin.technology.com
                    status:
                      code: '100'
                      description: INPROGRESS
                      detail: Virtual account in progress
                    errors: []
                100-PER-INDIVIDUAL:
                  value:
                    externalId: d09ed2d5-7460-4ac8-8889-3644cbe29082
                    internalId: 5ba31ea0-669b-43f6-88a1-1601f3cade0a
                    accountNumber: '{{yourLocalpaymentAccountNumber}}'
                    country: PER
                    currency: PEN
                    beneficiary:
                      type: INDIVIDUAL
                      name: Zhang
                      fullName: Zhang Wei
                      lastName: Wei
                      document:
                        id: '20342231111'
                        type: TAX ID
                      address:
                        street: Av. Javier Prado Este
                        number: '456'
                        city: Lima
                        state: Lima
                        country: PER
                      website: https://yongxin.technology.com
                    status:
                      code: '100'
                      description: INPROGRESS
                      detail: Virtual account in progress
                    errors: []
                100-COL- FOREIGN COMPANY:
                  value:
                    currency: COP
                    externalId: cf194632-7ec4-4a44-9b92-9bbacad5349e
                    internalId: b406472d-e5df-4ca3-8829-3e3df0948b3d
                    accountNumber: '{{accountNumber}}'
                    beneficiary:
                      type: COMPANY
                      name: ACME INTERNATIONAL LTD
                      fullName: ACME INTERNATIONAL LTD
                      document:
                        type: DNI
                        id: '12487201'
                      address:
                        street: Shennan Boulevard
                        number: '1234'
                        city: Shenzhen
                        state: Guangdong
                        country: China
                        zipCode: '518000'
                        comment: Center Area
                      website: contact@acme-international.com
                    status:
                      code: '100'
                      description: INPROGRESS
                      detail: Virtual account in progress
                    errors: []
                100-CRI - COMPANY:
                  value:
                    currency: CRC
                    externalId: de14bcf2-15ee-22e3-ab59-99c3fcba31e8
                    internalId: 6884af9b-f844-42b7-9488-293e8052931c
                    accountNumber: '{{accountNumber}}'
                    country: CRI
                    beneficiary:
                      type: COMPANY
                      name: Test Merchant S.A.
                      fullName: Test Merchant S.A.
                      lastName: ''
                      document:
                        type: CEJ
                        id: '3100000001'
                      address:
                        street: Av. Central
                        number: '100'
                        city: San José
                        state: San José
                        country: Costa Rica
                    wireInstructions:
                      beneficiary:
                        bank:
                          account:
                            number: CR99000000000000000001
                      referenceCode: 6884af9b-f844-42b7-9488-293e8052931c
                    status:
                      code: '100'
                      description: INPROGRESS
                      detail: Virtual account in progress
                    errors: []
                100-CHL-INDIVIDUAL:
                  value:
                    externalId: c4894e1a-b1a1-49fc-acb8-b48d30f19208
                    internalId: dcf62e96-b753-41b1-8064-6254c7e0abc1
                    accountNumber: '{{yourLocalpaymentAccountNumber}}'
                    country: CHL
                    currency: CLP
                    beneficiary:
                      type: INDIVIDUAL
                      name: Zhang
                      fullName: Zhang Wei
                      lastName: Wei
                      document:
                        type: TAX ID
                        id: '20342231111'
                      address:
                        street: Calle Merced
                        number: '812'
                        city: Santiago
                        state: Region Metropolitana
                        country: Chile
                      website: https://yongxin.technology.com
                    status:
                      code: '100'
                      description: INPROGRESS
                      detail: Virtual account in progress
                    errors: []
                100-CHL-COMPANY:
                  value:
                    currency: CLP
                    externalId: b367854e-3331-4ed4-ae8c-01f653809a27
                    internalId: 921792b6-5aac-4e41-a79b-ab080ad7f649
                    accountNumber: '{{yourLocalpaymentAccountNumber}}'
                    beneficiary:
                      type: COMPANY
                      name: ACME INTERNATIONAL LTD
                      fullName: ACME INTERNATIONAL LTD
                      lastName: ''
                      document:
                        id: '20342231111'
                        type: TAX ID
                      address:
                        street: Calle Merced
                        number: '812'
                        city: Santiago
                        state: Region Metropolitana
                        country: Chile
                      website: https://yongxin.technology.com
                    status:
                      code: '100'
                      description: INPROGRESS
                      detail: Virtual account in progress
                    errors: []
        '400':
          description: Solicitud incorrecta.
          content:
            application/json:
              schema:
                type: object
                properties:
                  externalId:
                    type: string
                    description: >-
                      El identificador único de la cuenta virtual. Es el mismo
                      valor `externalId` que proporcionaste en la solicitud de
                      creación, lo que confirma que se ha registrado
                      correctamente en nuestro sistema. Utiliza este
                      identificador exacto para cualquier llamada posterior a la
                      API relacionada con esta cuenta.
                  internalId:
                    type: string
                    description: Identificador de transacción de Localpayment.
                  status:
                    type: object
                    title: status
                    description: Estado de la operación.
                    properties:
                      code:
                        type: string
                        description: >-
                          [Código de
                          estado](/es/reference/transaction-status-error-codes).
                      description:
                        type: string
                        description: >-
                          [Descripción del
                          estado](/es/reference/transaction-status-error-codes).
                        examples:
                          - REJECTED
                      detail:
                        type: string
                        description: Información de estado adicional.
                  errors:
                    type: array
                    description: Lista de errores que se produjeron durante la transacción.
                    items:
                      type: object
                      properties:
                        code:
                          type: string
                          description: Código de error.
                        detail:
                          type: string
                          description: Detalles del error.
                x-examples:
                  Example 1:
                    externalId: '1735854339'
                    internalId: f2c1d9b0-090d-4692-b8d6-728b0bb67e80
                    status:
                      code: '300'
                      description: REJECTED
                      detail: Invalid param + [document.id] + verification failed
                    errors:
                      - code: '300'
                        detail: Invalid param + [document.id] + verification failed
              examples:
                300 - Invalid param.:
                  value:
                    externalId: '1234567890'
                    internalId: f2d9d9b0-093d-469b-c8d6-728b0cc67e80
                    status:
                      code: '300'
                      description: REJECTED
                      detail: Invalid param + [document.id] + verification failed
                    errors:
                      - code: '300'
                        detail: Invalid param + [document.id] + verification failed
                501 - Country not found:
                  value:
                    externalId: '1735858911'
                    internalId: 9442ab1b-cf3e-445b-9469-cef6340f145a
                    status:
                      code: '501'
                      description: REJECTED
                      detail: Country not found
                    errors:
                      - code: '501'
                        detail: Country not found
                812 - External Id already used - duplication.:
                  value:
                    externalId: '1735858911'
                    internalId: f5c4529e-67c1-43e0-bc2a-97250e736c98
                    status:
                      code: '812'
                      description: REJECTED
                      detail: External Id already used - duplication
                    errors:
                      - code: '812'
                        detail: External Id already used - duplication
                822 - Invalid relationship between provider and payment method.:
                  value:
                    externalId: 1b3e1fe0-2c1e-41cb-832b-20d90653aebc
                    internalId: 00a918d1-6217-4afa-a36f-4ad9d369754a
                    status:
                      code: '822'
                      description: REJECTED
                      detail: Invalid relationship between provider and payment method
                    errors:
                      - code: '822'
                        detail: >-
                          Invalid relationship between provider and payment
                          method
        '401':
          description: No autorizado.
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                    description: Información adicional sobre la respuesta.
                  code:
                    type: string
                    description: Código de estado.
                  messages:
                    type: array
                    description: Lista de mensajes.
                    items:
                      type: object
                      properties:
                        token_class:
                          type: string
                          description: Clase de token.
                        token_type:
                          type: string
                          description: Tipo de token.
                        message:
                          type: string
                          description: Mensaje con información adicional.
                x-examples:
                  Example 1:
                    detail: Given token not valid for any token type
                    code: token_not_valid
                    messages:
                      - token_class: AccessToken
                        token_type: access
                        message: Token is invalid or expired
              examples:
                401 - Token is invalid or expired:
                  value:
                    detail: Given token not valid for any token type
                    code: token_not_valid
                    messages:
                      - token_class: AccessToken
                        token_type: access
                        message: Token is invalid or expired
        '403':
          description: Prohibido
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                    description: Información adicional sobre la respuesta.
                x-examples:
                  Example 1:
                    detail: You do not have permission to perform this action.
              examples:
                403 - You do not have permission to perform this action.:
                  value:
                    detail: You do not have permission to perform this action.
      security:
        - token: []
      servers:
        - url: https://api.stage.localpayment.com
          description: Stage
components:
  securitySchemes:
    token:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.